## Update LookupTable

### cURL

```
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/lookuptables/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "version": 123,
  "customFields": {}
}
'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{id}"

payload = {
    "name": "<string>",
    "code": "<string>",
    "version": 123,
    "customFields": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', code: '<string>', version: 123, customFields: {}})
};

fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### HTTP Status Codes

| Status Code | Description                       |
|-------------|-----------------------------------|
| 200         | Successful response               |
| 4XX        | Client error                      |
| 5XX        | Server error                      |

### Request Body

| Field        | Type                | Description                                   |
|--------------|---------------------|-----------------------------------------------|
| name         | `string`           | Descriptive name for the Lookup Table.       |
| code         | `string`           | Unique short code used to identify the table.|
| version      | `integer<int64>`   | Version number of the entity                  |
| customFields | `object`           | User defined fields for custom data.         |

### Response Object

| Field          | Type                | Description                                   |
|----------------|---------------------|-----------------------------------------------|
| id             | `string`           | The UUID of the entity.                       |
| version        | `integer<int64>`   | The version number.                           |
| customFields   | `object`           | User defined fields for custom data.         |
| name           | `string`           | The name of the Lookup Table.                 |
| code           | `string`           | The code of the Lookup Table.                 |
| dtCreated      | `string<date-time>`| When the Lookup Table was created.           |
| dtLastModified | `string<date-time>`| When the Lookup Table was last modified.     |
| createdBy      | `string`           | ID of the user who created this Lookup Table. |
| lastModifiedBy | `string`           | ID of the user who last modified this table.  |
| activeRevision  | `object`          | Details of the active revision of the table.  |
